Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.widget
Class WTourEnd

    java.lang.Object
      |
      +--context.arch.BaseObject
            |
            +--context.arch.widget.Widget
                  |
                  +--context.arch.widget.WPersonPresence
                        |
                        +--context.arch.widget.WTourEnd

public class WTourEnd
extends WPersonPresence

This class is a context widget that provides information on the presence of a person in a particular location and that this person has ended their tour. The information is in the form of a location and a user id. It has the following callbacks: UPDATE. It supports polling and subscriptions. Currently it uses the WPersonPresence as a means of providing presence.

See Also:
  `WPersonPresence`

Field Summary
`static java.lang.String` | `CLASSNAME` Name of widget
`static int` | `DEFAULT_PORT` Default port this widget is running on
`static java.lang.String` | `END` Tag for callback END
`static java.lang.String` | `FALSE` Tag for tour end
`static java.lang.String` | `TOUR_END` Tag for tour end
`static java.lang.String` | `TRUE` Tag for tour end
`java.lang.String` | `VERSION_NUMBER` Widget version number

Fields inherited from class context.arch.widget.WPersonPresence
`ANIND_OFFICE, CLASSNAME, COMMON_AREA, DANIEL_OFFICE, DEFAULT_PORT, FCL, GREGORY_OFFICE, ibutton, LOCATION, USERID, VERSION_NUMBER`

Fields inherited from class context.arch.widget.Widget
`attributes, attributeTypes, callbacks, CLASS, CurrentOffset, DEFAULT_PORT, id, PUT_DATA, PUT_DATA_REPLY, QUERY, QUERY_ATTRIBUTES, QUERY_ATTRIBUTES_REPLY, QUERY_CALLBACKS, QUERY_CALLBACKS_REPLY, QUERY_REPLY, QUERY_SERVICES, QUERY_SERVICES_REPLY, QUERY_VERSION, QUERY_VERSION_REPLY, services, SPACER, storage, subscribers, TIMESTAMP, UPDATE, UPDATE_AND_QUERY, UPDATE_AND_QUERY_REPLY, VERSION, VERSION_NUMBER`

Fields inherited from class context.arch.BaseObject
`communications, EXIT_OK, handlers, ID, parser, PING, PING_REPLY, serviceHandlers`

Constructor Summary
`WTourEnd(java.lang.String location)` Constructor that creates the widget at the given location and monitors communications on the DEFAULT_PORT.
`WTourEnd(java.lang.String location, boolean storageFlag)` Constructor that creates the widget at the given location and monitors communications on the DEFAULT_PORT.
`WTourEnd(java.lang.String location, int port)` Constructor that creates the widget at the given location and monitors communications on the given port.
`WTourEnd(java.lang.String location, int port, boolean storageFlag)` Constructor that creates the widget at the given location and monitors communications on the given port.
`WTourEnd(java.lang.String location, int port, java.lang.String id, boolean storageFlag)` Constructor that creates the widget at the given location and monitors communications on the given port.

Method Summary
`protected AttributeNameValues` | `IButtonData2Attributes(IButtonData data)` This method converts the IButtonData object to an AttributeNameValues object.
`static void` | `main(java.lang.String[] argv)` Temporary main method to create a widget with location and port specified by command line arguments
`void` | `notify(java.lang.String event, java.lang.Object data)` Called by the generator class when a significant event has occurred.
`protected Attributes` | `setAttributes()` This method implements the abstract method Widget.setAttributes().
`protected Callbacks` | `setCallbacks()` This method implements the abstract method Widget.setCallbacks().

Methods inherited from class context.arch.widget.WPersonPresence
`queryGenerator, setServices`

Methods inherited from class context.arch.widget.Widget
`addSubscriber, canHandle, canHandle, canHandle, canHandle, executeService, getAttributeType, getCurrentTime, getNewOffset, getNewOffsetNoDelay, isAttribute, isCallback, processCallbackReply, putData, queryAttributes, queryCallbacks, queryServices, queryWidget, removeSubscriber, retrieveData, runUserMethod, runWidgetMethod, sendToSubscribers, setAttribute, store, store, updateWidgetInformation`

Methods inherited from class context.arch.BaseObject
`askInterpreter, decodeData, encodeData, executeAsynchronousWidgetService, executeSynchronousWidgetService, getHostAddress, getId, getVersion, getVersion, getWidgetAttributes, getWidgetCallbacks, getWidgetServices, pingComponent, pollWidget, putDataInWidget, queryVersion, quit, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, returnPing, runComponentMethod, runMethod, serviceResult, setId, setVersion, subscribeTo, subscribeTo, subscribeTo, subscribeTo, unsubscribeFrom, updateAndPollWidget, userCallback, userRequest, userRequest, userRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_NUMBER

    public java.lang.String VERSION_NUMBER

  Widget version number

### TOUR_END

    public static final java.lang.String TOUR_END

  Tag for tour end

### FALSE

    public static final java.lang.String FALSE

  Tag for tour end

### TRUE

    public static final java.lang.String TRUE

  Tag for tour end

### END

    public static final java.lang.String END

  Tag for callback END

### CLASSNAME

    public static final java.lang.String CLASSNAME

  Name of widget

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  Default port this widget is running on

Constructor Detail

### WTourEnd

    public WTourEnd(java.lang.String location)

  Constructor that creates the widget at the given location and monitors communications on the DEFAULT_PORT. It also sets the id of this widget to CLASSNAME_ with storage enabled.
  Parameters:
    `location` - Location the widget is "monitoring"

### WTourEnd

    public WTourEnd(java.lang.String location,
                    boolean storageFlag)

  Constructor that creates the widget at the given location and monitors communications on the DEFAULT_PORT. It also sets the id of this widget to CLASSNAME_ with storage functionality set to storageFlag
  Parameters:
    `location` - Location the widget is "monitoring"
    `storageFlag` - Flag to indicate whether storage is enabled

### WTourEnd

    public WTourEnd(java.lang.String location,
                    int port)

  Constructor that creates the widget at the given location and monitors communications on the given port. It also sets the id of this widget to CLASSNAME_ with storage enabled.
  Parameters:
    `location` - Location the widget is "monitoring"
    `port` - Port to run the widget on

### WTourEnd

    public WTourEnd(java.lang.String location,
                    int port,
                    boolean storageFlag)

  Constructor that creates the widget at the given location and monitors communications on the given port. It also sets the id of this widget to CLASSNAME_ with storage functionality set to storageFlag
  Parameters:
    `location` - Location the widget is "monitoring"
    `port` - Port to run the widget on
    `storageFlag` - Flag to indicate whether storage is enabled

### WTourEnd

    public WTourEnd(java.lang.String location,
                    int port,
                    java.lang.String id,
                    boolean storageFlag)

  Constructor that creates the widget at the given location and monitors communications on the given port. It also sets the id of this widget to the given id with storage functionality set to storageFlag
  Parameters:
    `location` - Location the widget is "monitoring"
    `port` - Port to run the widget on
    `id` - Widget id
    `storageFlag` - Flag to indicate whether storage is enabled

Method Detail

### setAttributes

    protected Attributes setAttributes()

  This method implements the abstract method Widget.setAttributes(). It defines the attributes for the widget as: TIMESTAMP, USERID, LOCATION, and TOUR_END
  Overrides:
    setAttributes in class WPersonPresence
  Returns:
    the Attributes used by this widget

### setCallbacks

    protected Callbacks setCallbacks()

  This method implements the abstract method Widget.setCallbacks(). It defines the callbacks for the widget as: UPDATE with the attributes TIMESTAMP, USERID, LOCATION, TOUR_END
  Overrides:
    setCallbacks in class WPersonPresence
  Returns:
    the Callbacks used by this widget

### notify

    public void notify(java.lang.String event,
                       java.lang.Object data)

  Called by the generator class when a significant event has occurred. It creates a DataObject, sends it to its subscribers and stores the data.
  Overrides:
    notify in class WPersonPresence
  Parameters:
    `event` - Name of the event that has occurred
    `data` - Object containing relevant event data
  See Also:
    `Widget.sendToSubscribers(String, AttributeNameValues)`, `Widget.store(AttributeNameValues)`

### IButtonData2Attributes

    protected AttributeNameValues IButtonData2Attributes(IButtonData data)

  This method converts the IButtonData object to an AttributeNameValues object. It overrides the method in WPersonPresence, basically doing the same thing, except it also returns TOUR_END info
  Overrides:
    IButtonData2Attributes in class WPersonPresence
  Parameters:
    `data` - IButtonData object to be converted
  Returns:
    AttributeNameValues object containing the data in the IButtonData object

### main

    public static void main(java.lang.String[] argv)

  Temporary main method to create a widget with location and port specified by command line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD